import { BpSdkStore, removeNotification } from '@boldpenguin/sdk-redux';
import { INotificationState, INotificationsContainerComponent } from '@boldpenguin/sdk-types';
import { Unsubscribe } from '../../services/redux-store.service';
export declare class BpSdkNotificationsContainer implements INotificationsContainerComponent {
    storeUnsubscribe?: Unsubscribe;
    removeNotification: typeof removeNotification;
    notifications: INotificationState[];
    useExternal: boolean;
    resetState(): void;
    handleSubscriptions: () => void;
    mapStateToProps: (state: BpSdkStore) => {
        notifications: INotificationState[];
    };
    connectedCallback(): void;
    handleRemoveNotification: (notification: INotificationState) => void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
    renderNotifications(notification: INotificationState): any;
}
